# Shell:  Functions for running ui command through the shell
# $Id: Shell.pm,v 1.5 2000/09/05 19:06:56 jeffb Exp $ 
# Written by:	Jeff Bilicki
# Copyright 2000 Cobalt Networks, Inc. http://www.cobalt.com/

package Cobalt::Shell;

BEGIN {

	require Exporter;

	use vars qw(@ISA @EXPORT_OK);

	@ISA    = qw[ Exporter ];
	@EXPORT_OK = qw[ &getBuild &getUpdateOS &chkFqdn ];
}

1;

sub getBuild
# Arguments: none
# Returns value: build type RaQ2, RaQ3, RaQ4, etc
# Side effects: none
{
  require FileHandle;
  my $bldFile = "/etc/build";
  my %bldHash = ( 
		"2799",		"RaQ2",
		"2800",		"RaQ2",
		"3000",		"RaQ3",
		"3001",		"RaQ4",
		"3100",		"RaQ4",
		"3500",		"RaQ5"
		);

  my $fh = new FileHandle("< $bldFile") 
	|| die "Error opening file $bldFile: $!";
  my $data = <$fh>;
  $fh->close();

  for (sort keys %bldHash) {
	return $bldHash{$_} if ($data =~ /\Q$_\E/);
  }
  return;
}

sub chkFqdn
# Argument: fqdn (fully qualified domain name)
# Side Effects: None
# Return: group belonging to the FQDN
{
	my ($domain) = @_;

	my $buildOS = getBuild();
	if($buildOS eq "RaQ5") {
		require Cobalt::Meta::vsite;
	} else {
		require Cobalt::Meta;
	}
	
	my ($sitegroup) = Cobalt::Meta::query(type  => "vsite",
		"keys"  => ["name"],
		"where" => ["name", "<>", "default",
		"and", "fqdn", "=", "$domain"]);
	if (!$sitegroup) {
		die "Cannot find domain: $domain\n";
	} else {
		return($sitegroup);
	}
}


1;
